package db;

import java.sql.Connection;
import java.sql.Statement;
import java.sql.SQLException;

public class CreateDatabase {

	public CreateDatabase() throws Exception {
		Connection con=ConnectionManager.openConnection();
		Statement stmt=null;
		int updateCount;
		String sql;
		if(con==null) throw new Exception("Unable to Open Database");

		sql="create table student(idno varchar(11) primary key, name varchar(32) not null, age integer)";
		stmt=con.createStatement(); /* if(!stmt.execute(updateCount)) updateCount=stmt.getUpdateCount(); */
		updateCount=stmt.executeUpdate(sql);
		System.out.println(""+updateCount+" rows updated.");
		stmt.close(); 

		sql="create table course(courseno varchar(8) primary key, name varchar(32) not null, units integer)";
		stmt=con.createStatement();
		updateCount=stmt.executeUpdate(sql);
		System.out.println(""+updateCount+" rows updated.");
		stmt.close(); 
		
		sql="create table regi(idno varchar(11), courseno varchar(8), grade integer, foreign key(courseno) references course(courseno), foreign key(idno) references student(idno), primary key(courseno, idno))";
		stmt=con.createStatement();
		updateCount=stmt.executeUpdate(sql);
		System.out.println(""+updateCount+" rows updated.");
		stmt.close(); 

		stmt=null;
		con.close();
		con=null;
	}

	public static void main(String []args) throws Exception {
		new CreateDatabase();
	}
}
